### Class

# Fwupd JsonParser

#### Description [src]

    final class Fwupd.JsonParser : GObject.Object
    {
      /* No available fields */
    }

A streaming tokenizer JSON parser that is resistant to malicious input.

One item of note is that most of the JSON string methods actually return a `GRefString` — which can be used to avoid lots of tiny memory allocation when parsing JSON into other objects.

See also: `FwupdJsonArray` `FwupdJsonObject` `FwupdJsonNode`.

#### Ancestors

- GObject

#### Constructors

###### fwupd_json_parser_new

No description available.

since: 2.1.1

#### Instance methods

###### fwupd_json_parser_load_from_bytes

Loads JSON from a string.

since: 2.1.1

###### fwupd_json_parser_load_from_data

Loads JSON from a string.

since: 2.1.1

###### fwupd_json_parser_load_from_stream

Loads JSON from a stream.

since: 2.1.1

###### fwupd_json_parser_set_max_depth

Sets the maximum nesting depth.

since: 2.1.1

###### fwupd_json_parser_set_max_items

Sets the maximum number of items in an array or object.

since: 2.1.1

###### fwupd_json_parser_set_max_quoted

Sets the maximum size of a quoted string.

since: 2.1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdJsonParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.